Bug 1099481 - Packages should require the qpid(client) virtual package to avoid version problems in F19
Summary: Packages should require the qpid(client) virtual package to avoid version pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-qmf
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1098154
Blocks: 1080583
TreeView+ depends on / blocked
 
Reported: 2014-05-20 12:36 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
4 users (show)

Fixed In Version: qpid-qmf-0.24-21.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 06:24:13 UTC


Attachments (Terms of Use)

Description Darryl L. Pierce 2014-05-20 12:36:13 UTC
Description of problem:
In F19 the Qpid 0.26 r3 package was accidentally pushed to stable, and this causes a problem in QMF. As a temporary fix, qpid-qmf packages should require the qpid(client) virtual package provided by qpid-cpp 0.24, and be removed when F19 is EOL.

Comment 1 Fedora Update System 2014-05-20 17:33:05 UTC
qpid-qmf-0.24-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-qmf-0.24-18.fc19

Comment 2 Fedora Update System 2014-05-21 23:27:05 UTC
Package qpid-qmf-0.24-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-qmf-0.24-18.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6571/qpid-qmf-0.24-18.fc19
then log in and leave karma (feedback).

Comment 3 Valentina Mukhamedzhanova 2014-05-26 16:08:02 UTC
Now qpid-qmf requires "qpid(client)(x86-64) >= 0.24" while qpid-cpp-client provides "qpid(client) = 0.24". This leads to a dependency resolution error.

# rpm -q --provides qpid-cpp-client
qpid(client) = 0.24
qpid-cpp-client-ssl = 0.24
qpid-cpp-client = 0.24-9.fc19
qpid-cpp-client(x86-64) = 0.24-9.fc19
amqpc.so()(64bit)
libqpidclient.so.2()(64bit)
libqpidcommon.so.2()(64bit)
libqpidmessaging.so.2()(64bit)
libqpidtypes.so.1()(64bit)

# yum install qpid-qmf
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
--> Processing Dependency: python-qpid-qmf(x86-64) = 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64
--> Processing Dependency: qpid(client)(x86-64) >= 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64
--> Running transaction check
---> Package python-qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
---> Package qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
--> Processing Dependency: qpid(client)(x86-64) >= 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64
--> Finished Dependency Resolution
Error: Package: qpid-qmf-0.24-18.fc19.x86_64 (updates-testing)
           Requires: qpid(client)(x86-64) >= 0.24
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 4 Darryl L. Pierce 2014-05-27 12:13:06 UTC
(In reply to Valentina Mukhamedzhanova from comment #3)
> Now qpid-qmf requires "qpid(client)(x86-64) >= 0.24" while qpid-cpp-client
> provides "qpid(client) = 0.24". This leads to a dependency resolution error.

I've removed the %{?_isa} component of the requires/provides on the packages. I'm now waiting for the compat-qpid-cpp package repo to be created so I can push a set of updates today to address a few packaging and API requirements.

Comment 5 Fedora Update System 2014-06-02 19:35:18 UTC
qpid-qmf-0.24-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-qmf-0.24-21.fc19

Comment 6 George R. Goffe 2014-06-11 05:09:34 UTC
Darryl,

I'm still seeing this qpid-cpp-client problem when I do yum -y update. Do I need to do something else to pick up these changes?

Regards and thanks for your help,

George...

--> Finished Dependency Resolution
Error: Package: qpid-qmf-0.24-6.fc19.x86_64 (@_local)
           Requires: qpid-cpp-client(x86-64) = 0.24-6.fc19
           Removing: qpid-cpp-client-0.24-6.fc19.x86_64 (@_local)
               qpid-cpp-client(x86-64) = 0.24-6.fc19
           Updated By: qpid-cpp-client-0.26-3.fc19.x86_64 (updates)
               qpid-cpp-client(x86-64) = 0.26-3.fc19
           Available: qpid-cpp-client-0.20-6.fc19.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.20-6.fc19
           Available: qpid-cpp-client-0.24-5.fc19.x86_64 (_local)
               qpid-cpp-client(x86-64) = 0.24-5.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 7 Darryl L. Pierce 2014-06-11 11:45:43 UTC
(In reply to George R. Goffe from comment #6)
> Darryl,
> 
> I'm still seeing this qpid-cpp-client problem when I do yum -y update. Do I
> need to do something else to pick up these changes?
> 
> Regards and thanks for your help,
> 
> George...
> 
> --> Finished Dependency Resolution
> Error: Package: qpid-qmf-0.24-6.fc19.x86_64 (@_local)
>            Requires: qpid-cpp-client(x86-64) = 0.24-6.fc19
>            Removing: qpid-cpp-client-0.24-6.fc19.x86_64 (@_local)
>                qpid-cpp-client(x86-64) = 0.24-6.fc19
>            Updated By: qpid-cpp-client-0.26-3.fc19.x86_64 (updates)
>                qpid-cpp-client(x86-64) = 0.26-3.fc19
>            Available: qpid-cpp-client-0.20-6.fc19.x86_64 (fedora)
>                qpid-cpp-client(x86-64) = 0.20-6.fc19
>            Available: qpid-cpp-client-0.24-5.fc19.x86_64 (_local)
>                qpid-cpp-client(x86-64) = 0.24-5.fc19
>  You could try using --skip-broken to work around the problem
>  You could try running: rpm -Va --nofiles --nodigest

Yes. What you'll want to do is (on F19) uninstall the qpid-cpp-* package set and install in their place the compat-qpid-cpp-* packages. compat-qpid-cpp provides 0.24 Qpid requirements that QMF needs.

Comment 8 Fedora Update System 2014-06-12 06:24:13 UTC
qpid-qmf-0.24-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.